Bug 1266293 - After installing all hwcert packages, getting internal server error 500 when executing hwcert-backend certify [NEEDINFO]
After installing all hwcert packages, getting internal server error 500 when ...
Status: NEW
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-software (Show other bugs)
1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Shreyank Gupta
Swati Goswami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 21:26 EDT by matthew
Modified: 2016-01-26 20:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gcase: needinfo? (Matthew.Lin)


Attachments (Terms of Use)
got info item failed after run hwcert test (222.86 KB, image/png)
2015-10-01 03:04 EDT, Leo
no flags Details
Info item (2.03 MB, application/x-gzip)
2015-10-23 00:50 EDT, Leo
no flags Details
Kdump item (171.48 KB, image/png)
2015-10-24 02:41 EDT, Leo
no flags Details
Kdump nfs item (7.13 KB, application/x-gzip)
2015-10-25 22:42 EDT, Leo
no flags Details
Got fv_network item failed (2.83 KB, text/plain)
2015-10-26 03:16 EDT, Leo
no flags Details

  None (edit)
Description matthew 2015-09-24 21:26:49 EDT
we still can't runnig cert and would got "HTTP error 500: Internal server error" message after installed all  latest cert packages on system with executed hwcert-backend certify(hostname it is correct)

Please refer "https://access.redhat.com/support/cases/#/case/01510382" to get detail information.
Comment 1 Leo 2015-10-01 03:04 EDT
Created attachment 1078957 [details]
got info item failed after run hwcert test

Version:hwcert-server-1.7.1-20150304.el7.noarch
redhat-certification-1.0-20150723.el7.noarch
redhat-certification-hardware-1.7.1-20150901.el7.noarch
redhat-certification-information-1.7.1-20150901.el7.noarch
python-magic-5.11-21.el7.noarch
Comment 4 Gary Case 2015-10-06 11:49:46 EDT
There are several problems here. 

1. Packages from two different test suites are installed. I believe they are causing a conflict. "hwcert-server" is a package from our old test suite. You should not use any "hwcert" package as they have all been replaced by "redhat-certification" packages.

These packages are from our new test suite, which you should be using:

redhat-certification-1.0-20150723.el7.noarch
redhat-certification-hardware-1.7.1-20150901.el7.noarch
redhat-certification-information-1.7.1-20150901.el7.noarch

Please try removing the hwcert-server package and rebooting.

2. You should not use the "hwcert-backend" command to perform testing.

That is a command from the old test suite. You should use the directions at this link to test using the new test suite:

http://people.redhat.com/gcase/docs_preview/rhcert/#chap-User_Guide-Testing_Hardware

You will need two systems to test properly, one test server and one system under test. Directions on how to configure those two systems can be found here:

http://people.redhat.com/gcase/docs_preview/rhcert/#sect-User_Guide-Preparing_to_Test_Hardware-Configuring_the_System_Under_Test

http://people.redhat.com/gcase/docs_preview/rhcert/#sect-User_Guide-Preparing_to_Test_Hardware-Configuring_the_network_and_kdump_Test_Server
Comment 5 matthew 2015-10-15 02:37:13 EDT
Follow the procedure to re-test, we still get info fail.


B.R
Matthew Lin
Comment 6 Gary Case 2015-10-15 11:37:57 EDT
Hi Matthew, 

Are you loading any kernel modules or other software that is not provided by Red Hat? That would cause an INFO test failure.

-Gary
Comment 7 matthew 2015-10-19 02:58:16 EDT
Hi 

I use a clean Redhat7 OS and only install certification tool kit to run test.
Do not isntall any third party tool before the test.

B.R
Matthew Lin
Comment 8 matthew 2015-10-19 04:13:28 EDT
Hi 

If you cannot reproduce this issue on your side, you can connect to our system to debug this issue if you need.

This issue is very urgent for our business and need fix this issue A.S.A.P.


B.R.
Matthew Lin
Comment 9 Gary Case 2015-10-19 11:07:03 EDT
Hi Matthew,

I do not see failure results from the INFO test with the package versions I mentioned earlier. Are you using a GA version of RHEL 7 (RHEL 7.0 or RHEL 7.1) or are you using a pre-release version like RHEL 7.2 beta? If you are using a pre-release version, that will always cause an INFO test failure as INFO checks to see if you are using a released version of the software.

-Gary
Comment 10 matthew 2015-10-21 01:42:35 EDT
Hi Gary

Yes. We use Redhat7.0 GA version to run test.
Kernel version: 3.10.0-123.el7.x86_64


B.R.
Matthew Lin
Comment 11 Gary Case 2015-10-21 12:09:38 EDT
Hi Matthew,

Could you attach a results file to this bug so that I can see what is causing the INFO failure? 

-Gary
Comment 12 Gary Case 2015-10-21 17:16:33 EDT
Hi Matthew,

To download the results if you are using the test server to run your tests, click the drop-down box next to the test results (the box will say "action") and select "Download". Send us the .xml.gz file that you download with your web browser.

If you are using the rhcert-backend command, run "rhcert-backend save" on the system you are testing and send us the .xml.gz file it creates
Comment 13 Leo 2015-10-23 00:50 EDT
Created attachment 1085701 [details]
Info item
Comment 14 Leo 2015-10-24 02:41 EDT
Created attachment 1086054 [details]
Kdump item

When running rhcert-backed with kdump item ,it's been that long (about 1.5hrs.).Is normal behavior?
Comment 15 Leo 2015-10-25 22:42 EDT
Created attachment 1086358 [details]
Kdump nfs item

Hi 
Due to kdump item it's been that long problem has been fixed
But we running that kdump nfs item still was failed...Please help to review this log
Comment 16 Leo 2015-10-26 03:16 EDT
Created attachment 1086390 [details]
Got fv_network item failed

 About the item we always got failed result,Pleae help to analysis
Comment 17 Gary Case 2015-10-26 17:28:39 EDT
Hi Leo,

There is a problem with the fv_network test that is causing failures for some people. We are working to fix that. This will not block certification because fv_network is not a required test. 

I am looking at the kdump and info tests to see why they are having problems.

-Gary
Comment 18 Leo 2015-10-26 20:37:59 EDT
Hi 
The kdump and info it's has been fixed ,please ignore this problems

Note You need to log in before you can comment on or make changes to this bug.